
/*
    Addon id: e7709ac2-cc0b-41b1-845d-7528015000ee
    Version: v1.7.8 (stable)
*/

AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include("shared.lua")
-- 55698bd11dd4b187c328ffc9200a97bcc7d15bb56979457ac0aeb39001de0521
function ENT:Initialize()
	self:SetModel("models/Humans/Group01/Female_02.mdl")
	self:SetHullType(HULL_HUMAN)
	self:SetHullSizeNormal()
	self:SetNPCState(NPC_STATE_SCRIPT)
	self:SetSolid(SOLID_BBOX)
	self:SetUseType(SIMPLE_USE)
end
function ENT:Use(activator)
	if Realistic_Police.CheckJailPos() then 
		if IsValid(activator.WeaponRPT["Drag"]) && activator.WeaponRPT["Drag"]:IsPlayer() then 
			if Realistic_Police.CanCuff[Realistic_Police.GetPlayerJob(activator)] then 
				net.Start("RealisticPolice:HandCuff")
					net.WriteString("Jailer")
					net.WriteString(activator.WeaponRPT["Drag"]:GetName())
				net.Send(activator)
			end
		else 
			Realistic_Police.SendNotify(activator, Realistic_Police.GetSentence("needHoldPlayerToArrest"))
		end  
	else 
		Realistic_Police.SendNotify(activator, Realistic_Police.GetSentence("noJailPositions"))
	end 
end 
function ENT:OnTakeDamage()
    return 0
end


